<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->

<h1 class="h2 fw-medium mb-3">
	{{ 'compute.title' | translate }}
</h1>
<p class="mb-4">
	{{ 'compute.instruction' | translate }}
</p>

<sdm-page-actions #pageActionsComponent>
	<i aria-hidden="true" class="bi bi-arrow-right-circle" onReady></i>
	<p *ngIf="!pageActionsComponent.hasErrorFeedback" onError>
		{{ 'compute.pageActions.error' | translate }}
	</p>
	<p onError *ngIf="pageActionsComponent.hasErrorFeedback">
		{{ 'error.' + pageActionsComponent.errorFeedbackCode | translate }}
	</p>
	<p onReady>
		{{ 'compute.pageActions.instruction' | translate }}
	</p>
	<ng-container onReady [ngTemplateOutlet]="computeButton"></ng-container>
	<ng-container onError [ngTemplateOutlet]="computeButton"></ng-container>
	<ng-template #computeButton>
		<button (click)="compute()" class="btn btn-primary" type="button">
			<i aria-hidden="true" class="bi bi-arrow-right-circle"></i>
			{{ 'compute.pageActions.compute' | translate }}
		</button>
	</ng-template>

	<div class="spinner" onProgress>
		<span aria-hidden="true" class="spinner-border"></span>
		<span class="visually-hidden" role="status">
		{{ 'common.loading' | translate }}
	  </span>
	</div>
	<p onProgress>
		{{ 'compute.pageActions.inProgress' | translate }}
	</p>

	<i aria-hidden="true" class="bi bi-check-circle" onComplete></i>
	<p aria-live="polite" onComplete>
		{{ 'compute.pageActions.processCompleted' | translate }}
	</p>
	<button class="btn btn-primary" onComplete sdmRouterLinkNext type="button">
		<i aria-hidden="true" class="bi bi-arrow-right-circle"></i>
		{{ 'common.next' | translate }}
	</button>
</sdm-page-actions>

<sdm-progress [displayMetrics]="false"/>